package com.aidex.system.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author ：ChenSir
 * @date ：Created in 2024/3/28 11:32
 * @description：
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SysReservationConfigTimeDurationReq implements Serializable {

	private static final long serialVersionUID = 4854884754912549447L;

	/** 开始时间 */
	@NotNull(message = "开始时间不允许为空")
	private String startTime;

	/** 结束时间 */
	@NotNull(message = "结束时间不允许为空")
	private String endTime;

	/** 班次时常-分钟 */
	@NotNull(message = "班次时常不允许为空")
	private int duration;

	// 可预约人数
	private int enableNum;
}
